webentwicklung-frage-antwort-db.com.de

Das Paket cairo wurde nicht im Suchpfad pkg-config gefunden. Knoten j.s installiert das Canvas-Problem

Ich habe ein Problem bei der Installation des Canvas-Moduls im Knoten ... Es scheint etwas mit Kairo zu sein. Ich bekomme diesen Fehler ...

npm http GET https://registry.npmjs.org/canvas
npm http 304 https://registry.npmjs.org/canvas
npm http GET https://registry.npmjs.org/nan
npm http 304 https://registry.npmjs.org/nan

> [email protected] install /Users/plimb/Desktop/motion-therapy/node_modules/canvas
> node-gyp rebuild

Package cairo was not found in the pkg-config search path.
Perhaps you should add the directory containing `cairo.pc'
to the PKG_CONFIG_PATH environment variable
No package 'cairo' found
gyp: Call to './util/has_cairo_freetype.sh' returned exit status 0. while trying to load binding.gyp
gyp ERR! configure error
gyp ERR! stack Error: `gyp` failed with exit code: 1
gyp ERR! stack     at ChildProcess.onCpExit (/usr/local/lib/node_modules/npm/node_modules/node-gyp/lib/configure.js:424:16)
gyp ERR! stack     at ChildProcess.EventEmitter.emit (events.js:98:17)
gyp ERR! stack     at Process.ChildProcess._handle.onexit (child_process.js:789:12)
gyp ERR! System Darwin 13.0.0
gyp ERR! command "node" "/usr/local/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "rebuild"
gyp ERR! cwd /Users/plimb/Desktop/motion-therapy/node_modules/canvas
gyp ERR! node -v v0.10.21
gyp ERR! node-gyp -v v0.10.10
gyp ERR! not ok
npm ERR! weird error 1 
npm ERR! not ok code 0

Ich bin nicht sicher, was das alles bedeutet! Würde mich über jede Hilfe freuen! Zum Beispiel wie man einen mkdir cairo PC in der Umgebungsvariable pkg_config_path verwendet? 

76
plimbs

Hatte das gleiche Problem und @ Epistemex link half mir bei der Fehlerbehebung.

... Sie müssen die Pakete libcairo2-dev, libjpeg-dev und libgif-dev installieren ...

Sudo apt-get install libcairo2-dev libjpeg-dev libgif-dev
102
HenryHey

Ich war auch mit dem gleichen Problem auf Mac konfrontiert. Daher habe ich diese Schritte ausprobiert und eine Lösung gefunden

Mac OSX Version> = 10.7.5 Knoten -v = v0.8.12

$ brew install cairo
$ pkg-config --atleast-version=1.12.2 cairo
$ echo $?

Wenn eine 1 zurückgegeben wird, müssen Sie die Umgebungsvariable PKG_CONFIG_PATH festlegen, damit cairo.pc und fontconfig.pc gefunden werden

$ locate cairo.pc
$ export PKG_CONFIG_PATH=/usr/X11/lib/pkgconfig/

Pkg-config erneut ausführen ...

$ pkg-config --atleast-version=1.12.2 cairo

$ echo $?

Wenn es eine 0 zurückgibt, ist alles gut in der Motorhaube.

$ npm install canvas
53

Hatte das gleiche Problem unter OS X 10.11.2 während der Installation des Pakets qrcode.

Gelöst durch die Installation dieser:

brew install cairo
brew install pkg-config
xcode-select --install
31

Wenn dieses Problem weiterhin besteht und diese Seite gefunden wurde, funktioniert Folgendes für CentOS 6.6:

Sudo yum install cairo cairo-devel

Grundsätzlich besteht die Lösung darin, das Entwicklungspaket sowie das reguläre Paket zu installieren (die beste Antwort hier ist die gleiche - außer für Ubuntu - jede Distribution kann unterschiedlich sein).

12
Ryan M

Ich folgte den Schritten von @Piyush. Aber ich brauchte einen zusätzlichen Schritt, damit es funktioniert. Ich verwende OS X 10.14.5

Diesem folgte ich also.

brew install pkg-config
brew install cairo
pkg-config --atleast-version=1.12.2 cairo
export PKG_CONFIG_PATH=/usr/X11/lib/pkgconfig/
export PKG_CONFIG_PATH="${PKG_CONFIG_PATH}:/usr/local/opt/libffi/lib/pkgconfig"
npm install canvas
3

Ich musste pkg-config nur unter OSX 10.10.4 installieren

brew install pkg-config

1
Fush

Als ich auf dieses Problem stieß, bestand das Problem darin, dass die Version von pkg-config in meinem Pfad die von chefdk bereitgestellte Version war, anstelle der installierten Version von Homebrew.

$ which pkg-config
/usr/local/bin/pkg-config

$ eval "$(chef Shell-init bash)"
$ which pkg-config
/opt/chefdk/embedded/bin/pkg-config

Die Lösung bestand darin, den Eintrag eval "$(chef Shell-init bash)" aus meinem Bash-Profil zu entfernen.

Weitere Diskussion des Problems in chefdks Pfadgenerierung auf Github https://github.com/chef/chef-dk/issues/313

1
Brian Skarda

Die akzeptierte Antwort ist gut, wenn Sie apt-get verwenden. Verwenden Sie für YUM/DNF-Benutzer (Fedora, CentOS und andere RHEL-ähnliche Systeme) Folgendes

yum install cairo cairo-devel cairomm-devel libjpeg-turbo-devel pango pango-devel pangomm pangomm-devel
0
Clay